Bug 673990 - savers/gste-slideshow.c (get_pixbuf_from_local_dir) Check for an empty file list.
savers/gste-slideshow.c (get_pixbuf_from_local_dir) Check for an empty file...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-screensaver (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: jmccann
desktop-bugs@redhat.com
: Patch, ZStream
Depends On: 614063
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-31 04:24 EST by RHEL Product and Program Management
Modified: 2015-01-14 18:26 EST (History)
16 users (show)

See Also:
Fixed In Version: gnome-screensaver-2.16.1-8.el5_6.3
Doc Type: Bug Fix
Doc Text:
Previously, using the "Pictures folder" screen saver with an empty Pictures directory could cause the gnome-screensaver program to terminate unexpectedly. This update applies an upstream patch that resolves this issue, and an empty Pictures directory no longer causes the "Pictures folder" screen saver to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 08:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-01-31 04:24:04 EST
This bug has been copied from bug #614063 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 4 Matthew Barnes 2011-02-02 17:19:34 EST
Patch applied to gnome-screensaver-2.16.1-8.el5_6.3.
Comment 7 Jaromir Hradilek 2011-02-03 10:52:08 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, using the "Pictures folder" screen saver with an empty Pictures directory could cause the gnome-screensaver program to terminate unexpectedly. This update applies an upstream patch that resolves this issue, and an empty Pictures directory no longer causes the "Pictures folder" screen saver to crash.
Comment 9 errata-xmlrpc 2011-02-21 08:12:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0286.html

Note You need to log in before you can comment on or make changes to this bug.